<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="CSS/style.css">
</head>

<body>
    <div class="container">
        <header class="nav-menu">
            <nav class="nav-bar">
                <ul class="nav-menu-list">
                    <li class="nav-menu-item">
                        <a href="https://dan-it.com.ua/uk/" target="_blank" class="nav-menu-link">About us</a>
                    </li>
                    <li class="nav-menu-item">
                        <a href="#" target="_blank" class="nav-menu-link">Projects</a>
                    </li>
                    <li class="nav-menu-item">
                        <a href="#" target="_blank" class="nav-menu-link">Blog</a>

                    </li>
                    <li class="nav-menu-item">
                        <a href="#" target="_blank" class="nav-menu-link">Templates</a>
                    </li>
                    <li class="nav-menu-item">
                        <a href="#" target="_blank" class="nav-menu-link">Libraries</a>
                    </li>
                </ul>
            </nav>
        </header>
    </div>
    <main>
        <img src="img/img.png" alt="photo" class="image">
        <h1 class="main-title">How does CSS actually work?</h1>
        <p class="paragraph">
            When a browser displays a document, it must combine the document's content with its style information. It
            processes the document in a number of stages, which we've listed below. Bear in mind that <span
                class="highlighted-text">this is a very simplified version</span> of what happens when a browser loads a
            webpage, and that different browsers will handle the process in different ways. But this is roughly what
            happens.
        </p>
        <ol class="numbered-list-bar">
            <li class="numbered-list">The browser loads the HTML (e.g. receives it from the network).</li>
            <li class="numbered-list">It converts the HTML into a DOM (Document Object Model). The DOM represents the
                document in the computer's memory. The DOM is explained in a bit more detail in the next section.</li>
            <li class="numbered-list">The browser then fetches most of the resources that are linked to by the HTML
                document, such as embedded images, videos, and even linked CSS! JavaScript is handled a bit later on in
                the process, and we won't talk about it here to keep things simpler.</li>
            <li class="numbered-list">The browser parses the fetched CSS, and sorts the different rules by their
                selector types into different "buckets", e.g. element, class, ID, and so on. Based on the selectors it
                finds, it works out which rules should be applied to which nodes in the DOM, and attaches style to them
                as required (this intermediate step is called a render tree).</li>
            <li class="numbered-list">The render tree is laid out in the structure it should appear in after the rules
                have been applied to it.</li>
            <li class="numbered-list">The visual display of the page is shown on the screen (this stage is called
                painting).</li>
        </ol>
        <button class="button">Learn more</button>
    </main>
    <footer>
        <hr class="line">
            <p class="footer-text">All right reserved</p>

    </footer>
</body>

</html>